Subject: claws-mail plugins not updated

From: julien lepiller <[email-masked]>
Date: Mon, 15 Jan 2018 14:52:30 +0100

Hi,

claws-mail has a plugin system to add functionnality. For instance, to 
add PGP support, one has to load 3 plugins from the claws-mail package. 
By default, claws-mail looks in its store directory to propose available 
plugins.

When upgrading claws-mail, the configuration doesn't change. Plugins are 
still looked for in the old store location, so old plugins are still 
used. This is bad for security and compatibility. Another issue is when 
running guix gc afterwards: the old plugins are deleted and claws-mail 
issues an error message on startup because it cannot find them anymore.